Bitcoin Forum
December 11, 2016, 08:12:43 AM *
News: Latest stable version of Bitcoin Core: 0.13.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: [1] 2 »  All
  Print  
Author Topic: [HOWTO] One line to download & compile bitcoin 0.5.0rc3 on Ubuntu (UPDATED)  (Read 2030 times)
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
October 23, 2011, 06:36:01 PM
 #1

Copy and paste the entire thing on a terminal. Type user password when prompted.
Code:
wget -O- https://nodeload.github.com/bitcoin/bitcoin/tarball/v0.5.0rc1|tar zxv&&cd bitcoin-bitcoin-398049e&&\
sudo apt-get install libssl-dev qt4-qmake libqt4-dev $(apt-cache search libdb|cut -d' ' -f1|egrep '\..\+\+-dev'|tail -1) \
libboost-system-dev libboost-filesystem-dev libboost-program-options-dev libboost-thread-dev&&\
qmake .&& make -j$(cat /proc/cpuinfo |egrep ^processor|wc -l)

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
1481443963
Hero Member
*
Offline Offline

Posts: 1481443963

View Profile Personal Message (Offline)

Ignore
1481443963
Reply with quote  #2

1481443963
Report to moderator
1481443963
Hero Member
*
Offline Offline

Posts: 1481443963

View Profile Personal Message (Offline)

Ignore
1481443963
Reply with quote  #2

1481443963
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
kokjo
Legendary
*
Offline Offline

Activity: 1050

You are WRONG!


View Profile
October 23, 2011, 06:39:06 PM
 #2

+1 nice one!

"The whole problem with the world is that fools and fanatics are always so certain of themselves and wiser people so full of doubts." -Bertrand Russell
ArkBlitz
Newbie
*
Offline Offline

Activity: 8


View Profile
October 24, 2011, 02:29:24 AM
 #3

I guess there's a typo. Instead of libdb4.8++-dev you should type libdb4.8-dev. Still, I'm unsure.
BitterTea
Sr. Member
****
Offline Offline

Activity: 294



View Profile
October 24, 2011, 02:42:41 AM
 #4

I guess there's a typo. Instead of libdb4.8++-dev you should type libdb4.8-dev. Still, I'm unsure.

Unsure about what? This is pretty cool!
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
October 25, 2011, 09:32:40 PM
 #5

It's not a typo. libdb++ is needed, and also installs libdb as dependency. I usually try my one-liners before (and sometimes after) posting them. Notice how I also added automatic detection of number of processors, for efficency Smiley

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
RodeoX
Legendary
*
Offline Offline

Activity: 2114


The revolution will be monetized!


View Profile
October 26, 2011, 07:33:23 PM
 #6

I get a build error under Ubuntu 10.10. It downloads fine then fails upon compiling.
Still, thanks for your work! I'm sure it can be tweaked.

Code:
src/headers.h:30: fatal error: openssl/buffer.h: No such file or directory
compilation terminated.
make: *** [build/bitcoin.o] Error 1

The gospel according to Satoshi - https://bitcoin.org/bitcoin.pdf

Free bitcoin=https://bitcointalk.org/index.php?topic=1610684
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
October 26, 2011, 07:56:12 PM
 #7

Thanks for reporting. It seems I already had that lib. I edited the post, try now and tell me if you get any other error Smiley

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
RodeoX
Legendary
*
Offline Offline

Activity: 2114


The revolution will be monetized!


View Profile
October 26, 2011, 08:17:21 PM
 #8

That did the trick! Thanks.
There is also a PPA for Ubuntu, but it has not been updated and still serves version 0.3.24 of the client.

The gospel according to Satoshi - https://bitcoin.org/bitcoin.pdf

Free bitcoin=https://bitcointalk.org/index.php?topic=1610684
ArkBlitz
Newbie
*
Offline Offline

Activity: 8


View Profile
October 27, 2011, 01:06:20 AM
 #9

Just for your information: libdb4.8++-dev is not available in Ubuntu's repositories. How to get it elsewhere?
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
October 27, 2011, 04:19:47 PM
 #10

Oops, Ubuntu 11.10 doesn't have that version (I just updated this PC today). It has 5.1 but 10.10 doesn't. I've updated the post to autodetect the last libdb++ version. Hopefully it will work now on any Ubuntu, at least since 10.04.

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
btc_artist
Full Member
***
Offline Offline

Activity: 154


Bitcoin!


View Profile WWW
October 27, 2011, 08:38:50 PM
 #11

Good job DiThi!  Now how about instructions like this to install a miner? Smiley  (pretty please?)

BTC: 1CDCLDBHbAzHyYUkk1wYHPYmrtDZNhk8zf
LTC: LMS7SqZJnqzxo76iDSEua33WCyYZdjaQoE
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
October 28, 2011, 12:15:48 AM
 #12

You need recent GPU drivers for that (at least for nvidia, I don't know about ati), so update Ubuntu to 11.10 if you haven't already. Also you'll need a 64 bit distro (I suppose it could work on 32 bit, but having a 64 bit cpu it's pointless not to use a 64 bit linux; cpu intensive tasks perform much better).

Code:
wget -O- http://ck.kolivas.org/apps/cgminer/cgminer-2.0.7-x86_64-built.tar.bz2|tar jxv

I haven't tried solo mining... Register on any mining pool; I've tried http://yourbtc.net/ and it's easy. Add a worker, it gives you a user and a pass. Suppose those are 12345 and PaSsWd.

Code:
cd cgminer-2.0.7; ./cgminer -o http://yourbtc.net:8999/ -u 12345 -p PaSsWd

Look here for more commandline options: https://bitcointalk.org/index.php?topic=28402.0

As I said I use nvidia, which is not very good for mining (ati is 3x faster for calculating hashes)...

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
btc_artist
Full Member
***
Offline Offline

Activity: 154


Bitcoin!


View Profile WWW
October 28, 2011, 04:10:38 PM
 #13

Nice. Thank you.

BTC: 1CDCLDBHbAzHyYUkk1wYHPYmrtDZNhk8zf
LTC: LMS7SqZJnqzxo76iDSEua33WCyYZdjaQoE
btc_artist
Full Member
***
Offline Offline

Activity: 154


Bitcoin!


View Profile WWW
November 01, 2011, 05:42:37 PM
 #14

New question.  Would you be able to help me out with Ubuntu installation instructions for a CPU miner such as Ufasoft?  (I know CPU mining is not economically feasible, I'm doing this as a learning experience).

BTC: 1CDCLDBHbAzHyYUkk1wYHPYmrtDZNhk8zf
LTC: LMS7SqZJnqzxo76iDSEua33WCyYZdjaQoE
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
November 04, 2011, 08:26:41 PM
 #15

New question.  Would you be able to help me out with Ubuntu installation instructions for a CPU miner such as Ufasoft?  (I know CPU mining is not economically feasible, I'm doing this as a learning experience).

Sorry for late reply. Use the same instructions above but adding these options to cgminer: -C -G  (both upper case, C enables cpu mining and G disables gpu mining).

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
btc_artist
Full Member
***
Offline Offline

Activity: 154


Bitcoin!


View Profile WWW
November 04, 2011, 08:57:08 PM
 #16

Not a problem.  Thank you for the reply!

BTC: 1CDCLDBHbAzHyYUkk1wYHPYmrtDZNhk8zf
LTC: LMS7SqZJnqzxo76iDSEua33WCyYZdjaQoE
k
Sr. Member
****
Offline Offline

Activity: 452


View Profile
November 05, 2011, 02:02:33 AM
 #17

In Ubuntu 11.10, I'm getting the following when I try to compile.

Code:
In file included from src/qt/bitcoin.cpp:9:0:
src/headers.h:36:20: fatal error: db_cxx.h: No such file or directory
compilation terminated.
make: *** [build/bitcoin.o] Error 1

Anyone have any ideas?
DiThi
Full Member
***
Offline Offline

Activity: 157

Firstbits: 1dithi


View Profile
November 05, 2011, 03:57:25 AM
 #18

Did you use my one-liner? In that case, can you paste here the output of this?
Code:
apt-cache search libdb|cut -d' ' -f1|grep '++-dev'

1DiThiTXZpNmmoGF2dTfSku3EWGsWHCjwt
k
Sr. Member
****
Offline Offline

Activity: 452


View Profile
November 05, 2011, 09:50:49 AM
 #19

Did you use my one-liner? In that case, can you paste here the output of this?
Code:
apt-cache search libdb|cut -d' ' -f1|grep '++-dev'


Ran the above and got this

Code:
libdb++-dev
libdb5.1++-dev
libdbus-c++-dev

worldinacoin
Hero Member
*****
Offline Offline

Activity: 658



View Profile WWW
November 05, 2011, 10:33:44 AM
 #20

Just nice for me, about to install another Ubuntu system.  Normally installing bitcoin give me tons of problems.
Pages: [1] 2 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!